## foobnix-dmo 3.2.1

=== Makefile ===
#
# Makefile for Foobnix
#
PYVER=`python -c "import sys; print(sys.version[:3])"`
PREFIX ?= /usr/local
DESTDIR ?= ./

all:
	python setup.py build

test:
	python setup.py test
	
tarball:
	python setup.py sdist
	mv dist/foobnix-*.tar.gz $(DESTDIR)

install:
	python setup.py install --prefix=$(PREFIX)

clean:
	python setup.py clean
	rm -rf ./build
	find . -name *.pyc -exec rm {} \;

uninstall:
	-rm $(PREFIX)/bin/foobnix
	-rm -r $(PREFIX)/lib/python${PYVER}/site-packages/foobnix
	-rm -r $(PREFIX)/lib/python${PYVER}/site-packages/foobnix-*.egg-info
	-rm -r $(PREFIX)/share/foobnix
	-find ${PREFIX}/share/locale -name foobnix.mo -exec rm {} \;
	-rm $(PREFIX)/share/applications/foobnix.desktop
	-rm $(PREFIX)/share/pixmaps/foobnix*
	-rm $(PREFIX)/share/man/man1/foobnix*

=== debian/changelog ===
foobnix-dmo (3.2.1-dmo4) unstable; urgency=medium

  * Upgrade dependency gir1.2-soup-2.4 --> gir1.2-soup-3.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 06 Oct 2025 14:47:51 +0200

foobnix-dmo (3.2.1-dmo3) unstable; urgency=medium

  * Updated for gir1.2-webkit2-4.1

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 15 Dec 2023 12:49:18 +0100

foobnix-dmo (3.2.1-dmo2) unstable; urgency=medium

  * Add ffmpeg (needed to convert files) to Recommends.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 15 May 2020 10:11:27 +0200

foobnix-dmo (3.2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 15 May 2020 10:03:11 +0200

foobnix-dmo (3.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 17 Apr 2020 23:53:53 +0200

foobnix (3.1.01-dmo2) unstable; urgency=medium

  * Ad "libgstreamer-plugins-bad1.0-0 (<< 1:1.12)" as dependency.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 20 Oct 2017 15:05:33 +0200

foobnix (3.1.01-dmo1) unstable; urgency=medium

  * New upstream release.
  * Simplify 01_converter-local-ffmpeg patch.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Jun 2015 15:52:54 +0200

foobnix (3.0.04-dmo1) unstable; urgency=medium

  * New upstream bugfix release.
  * Move gstreamer1.0-plugins-bad from Recommends to Depends (Really
    needed).
  * Add mate-notification-daemon | xfce4-notifyd to Suggests.
  * Add ffmpeg in Depends (Needed for encoding) and add a patch to disable
    the download of a "special" ffmpeg binary.
  * Note : This package is ugly, files are still installed in
    /usr/lib/python2.7/

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 13 Mar 2015 13:18:19 +0100

foobnix (3.0.03-dmo2) unstable; urgency=medium

  * Should Depends on python-dbus

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 03 Mar 2015 08:59:39 +0100

foobnix (3.0.03-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 03 Mar 2015 08:41:56 +0100

foobnix (2.6.10-dmo1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 25 Mar 2013 17:40:23 +0100

foobnix (2.6.09-dmo2) unstable; urgency=low

  * Need to depends on python-webkit.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 Mar 2013 15:02:18 +0100

foobnix (2.6.09-dmo1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 Mar 2013 14:41:56 +0100

foobnix (2.6.03-dmo1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 10 Oct 2012 08:38:42 +0200

foobnix (2.6.02-dmo1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 09 Oct 2012 08:35:45 +0200

foobnix (2.6.01-dmo1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 02 Sep 2012 08:37:36 +0200

foobnix (2.5.36-dmo2) unstable; urgency=low

  * Build for python >= 2.7

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 20 May 2012 10:11:02 +0200

foobnix (2.5.36-dmo1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Thu, 03 May 2012 08:42:55 +0200

foobnix (2.5.35-0.0) unstable; urgency=low

  * New upstream release.
  * Switch to dh_python2

 -- Christian Marillat <marillat@debian.org>  Thu, 05 Jan 2012 09:53:17 +0100

foobnix (2.5.34-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 01 Jan 2012 15:27:29 +0100

foobnix (2.5.33-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 25 Dec 2011 10:27:36 +0100

foobnix (2.5.32-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 19 Dec 2011 08:42:07 +0100

foobnix (2.5.30-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Fri, 16 Dec 2011 08:34:05 +0100

foobnix (2.5.29-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 11 Dec 2011 09:33:04 +0100

foobnix (2.5.28-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed, 02 Nov 2011 15:15:40 +0100

foobnix (2.5.26-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 18 Sep 2011 08:44:19 +0200

foobnix (2.5.25-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 12 Sep 2011 08:36:53 +0200

foobnix (2.5.23-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed, 10 Aug 2011 09:22:48 +0200

foobnix (2.5.22-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sat, 06 Aug 2011 09:10:06 +0200

foobnix (2.5.20-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 02 Aug 2011 08:36:34 +0200

foobnix (2.5.19-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 12 Jul 2011 09:15:43 +0200

foobnix (2.5.18-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sat, 09 Jul 2011 09:03:45 +0200

foobnix (2.5.17-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 05 Jul 2011 08:48:41 +0200

foobnix (2.5.16o-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sat, 25 Jun 2011 18:36:04 +0200

foobnix (0.2.5-0.0) unstable; urgency=low

  * Upload to my repository.



=== debian/control ===
Source: foobnix-dmo
Section: sound
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://foobnix.com/en/index.html
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13), dh-sequence-gir, dh-sequence-python3,
 quilt, python3,

Package: foobnix
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, ${gir:Depends}, python3-simplejson, python3-mutagen, python3-pylast,
 gir1.2-gtk-3.0, python3-chardet, gir1.2-gst-plugins-base-1.0, gir1.2-gtk-3.0, gir1.2-webkit2-4.1,
 gir1.2-soup-3.0, gir1.2-notify-0.7, python3-dbus, gstreamer1.0-plugins-good,
Recommends: gir1.2-keybinder-3.0, gstreamer1.0-plugins-ugly, gstreamer1.0-libav, gstreamer1.0-alsa, fuseiso, libmp3lame0, libfaac0,
Suggests: mate-notification-daemon | xfce4-notifyd, ffmpeg,
Description: Simple and powerful music player for Linux.
 All the best features in one player. Written in Python, Foobnix is a small,
 fast, customizable, powerful music player with a user-friendly interface.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with quilt,gir -Spybuild

override_dh_clean:
	dh_clean

	rm -rf dist

override_dh_auto_test:

=== debian/watch ===
version=4

https://github.com/foobnix/foobnix/tags \
(?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
